Debian Bug report logs - #660668
gnome-hearts crash on the start

version graph

Package: gnome-hearts; Maintainer for gnome-hearts is Sander Marechal <s.marechal@jejik.com>; Source for gnome-hearts is src:gnome-hearts.

Reported by: Andrey Gusev <a.gusev1980@mail.ru>

Date: Mon, 20 Feb 2012 19:21:02 UTC

Severity: grave

Tags: sid, wheezy

Found in version gnome-hearts/0.3-2

Fixed in version gnome-hearts/0.3-2.1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, a.gusev1980@mail.ru, Sander Marechal <s.marechal@jejik.com>:
Bug#660668; Package gnome-hearts. (Mon, 20 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Gusev <a.gusev1980@mail.ru>:
New Bug report received and forwarded. Copy sent to a.gusev1980@mail.ru, Sander Marechal <s.marechal@jejik.com>. (Mon, 20 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Gusev <a.gusev1980@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-hearts crash on the start
Date: Mon, 20 Feb 2012 23:19:40 +0400
Package: gnome-hearts
Version: 0.3-2+b2
Severity: grave
Justification: renders package unusable

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   I guess the problem was appeared after a update. I execute game
from console:
   
andrey@power-debian:~/tmp/scr$ gnome-hearts 
**
ERROR:ui.c:155:ui_set_config: assertion failed: (directory != NULL)
Aborted


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 3.2.2 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-hearts depends on:
ii  gnome-cards-data    1:3.2.2-1
ii  libart-2.0-2        2.3.21-1
ii  libatk1.0-0         2.2.0-2
ii  libbonobo2-0        2.24.3-1
ii  libbonoboui2-0      2.24.3-1
ii  libc6               2.13-26
ii  libcairo2           1.10.2-6.2
ii  libfontconfig1      2.8.0-3.1
ii  libfreetype6        2.4.8-1
ii  libgconf2-4         2.32.4-1
ii  libgdk-pixbuf2.0-0  2.24.1-1
ii  libglade2-0         1:2.6.4-1
ii  libglib2.0-0        2.30.2-6
ii  libgnome2-0         2.32.1-2
ii  libgnomecanvas2-0   2.30.3-1
ii  libgnomeui-0        2.24.5-2
ii  libgnomevfs2-0      1:2.24.4-1
ii  libgtk2.0-0         2.24.9-2
ii  libice6             2:1.0.7-2
ii  liborbit2           1:2.14.19-0.1
ii  libpango1.0-0       1.29.4-2
ii  libpopt0            1.16-3
ii  libpython2.7        2.7.2-8
ii  librsvg2-common     2.34.2-2
ii  libsm6              2:1.2.0-2
ii  libxml2             2.7.8.dfsg-7
ii  python-support      1.0.14
ii  python2.7           2.7.2-8

Versions of packages gnome-hearts recommends:
ii  gnome-games-extra-data  3.2.0-1

gnome-hearts suggests no packages.

-- no debconf information




Added tag(s) sid and wheezy. Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. (Wed, 22 Feb 2012 11:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sander Marechal <s.marechal@jejik.com>:
Bug#660668; Package gnome-hearts. (Sun, 11 Mar 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Black <timothy_black75@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Sander Marechal <s.marechal@jejik.com>. (Sun, 11 Mar 2012 06:33:03 GMT) Full text and rfc822 format available.

Message #12 received at 660668@bugs.debian.org (full text, mbox):

From: Timothy Black <timothy_black75@hotmail.com>
To: <660668@bugs.debian.org>
Subject: Bug Fix #660668
Date: Sun, 11 Mar 2012 16:00:21 +0930
[Message part 1 (text/plain, inline)]

A pre-existing debian patch in debian/patches alters the source and makefiles so that gnome-hearts attempts to use common card styles through the gnome-games-common package. The gnome-games-common package isn't a dependency, nor is it available as a package in the repositories.
The patch has been disabled by removing the .diff suffix on the filename. By preventing this patch from running, the updated package will attempt to copy and use a default card style (dondorf). The patch can be re-enabled at a later time by renaming "debian/patches/01_gnome_cards_data" to "debian/patches/01_gnome_cards_data.diff". 		 	   		  
[Message part 2 (text/html, inline)]
[gnome-hearts.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#660668; Package gnome-hearts. (Wed, 11 Apr 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sander Marechal <s.marechal@jejik.com>:
Extra info received and forwarded to list. (Wed, 11 Apr 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 660668@bugs.debian.org (full text, mbox):

From: Sander Marechal <s.marechal@jejik.com>
To: Timothy Black <timothy_black75@hotmail.com>, 660668@bugs.debian.org
Subject: Re: Bug#660668: Bug Fix #660668
Date: Wed, 11 Apr 2012 23:44:41 +0200
On 03/11/2012 07:30 AM, Timothy Black wrote:
> A pre-existing debian patch in debian/patches alters the source and
> makefiles so that gnome-hearts attempts to use common card styles
> through the gnome-games-common package. The gnome-games-common
> package isn't a dependency, nor is it available as a package in the
> repositories.

gnome-games-common was a debian-specific package for gnome 2.x in Debian 
squeeze and below.

> The patch has been disabled by removing the .diff
> suffix on the filename. By preventing this patch from running, the
> updated package will attempt to copy and use a default card style
> (dondorf). The patch can be re-enabled at a later time by renaming
> "debian/patches/01_gnome_cards_data" to
> "debian/patches/01_gnome_cards_data.diff".

Thanks. Question though: How did you manage to build it? gnome-hearts 
build-depends on scrollkeeper, which depends in turn on rarian-compat 
but gnome-hearts has a build-conflicts on rarian-compat due to #501548 [1].

That fix was a non-maintainer upload. I'm trying to build gnome-hearts 
under wheezy with your patch but I can't.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501548

-- 
Sander




Information forwarded to debian-bugs-dist@lists.debian.org, Sander Marechal <s.marechal@jejik.com>:
Bug#660668; Package gnome-hearts. (Sat, 09 Jun 2012 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Linux User <linux.user.since.2002@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sander Marechal <s.marechal@jejik.com>. (Sat, 09 Jun 2012 23:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 660668@bugs.debian.org (full text, mbox):

From: Linux User <linux.user.since.2002@gmail.com>
To: 660668@bugs.debian.org
Subject: Workaround Identified
Date: Sat, 9 Jun 2012 16:19:24 -0700
gnome-games still suggests gnome-hearts, yet gnome-hearts remains
unplayable on debain as-is

However, as noted, gnome-hearts requires gnome-games-common, which no
longer exists.
Further, gnome-hearts does not have a dependency on gnome-games-common either.

It appears that the only gnome-games with cards is the aislerot package:
/usr/share/aislerot/cards/

However:

# mkdir /usr/share/gnome-games-common/
# ln -s /usr/share/aislerot/cards /usr/share/gnome-games-common/cards
$ gnome-hearts

does not work.

Reviewing the gnome-hearts config file
~/.config/gnome-hearts/gnome-hearts.cfg there is a card_style entry
with a svg suffix, yet aislerot now uses gzip compressed cards with a
svgz extension.

Changing the card_style extension to svgz did not work either.
Seems gnome-hearts cannot uncompress first...

So trying again:

# mkdir /usr/share/gnome-games-common/
# mkdir /usr/share/gnome-games-common/cards/
# cp /usr/share/aislerot/cards/*.svgz /usr/share/gnome-games-common/cards/
# cd /usr/share/gnome-games-common/cards/
# rename 's/\.svgz$/.svg.gz/' *.svgz
# gzip -d *.gz
$ gnome-hearts

works!

Note this might not work (haven't tried) if card_style is set to a svg
that no longer exists.  In that case, you'd have to either change
card_style to something that does exist, or try to find a copy of the
old svg file and put it in the /usr/share/gnome-games-common/cards/
directory.

So, need to do one of:
(a) gnome-hearts needs to depend on aislerot and learn to read svgz files, or
(b) gnome-hearts ship a copy of the uncompressed aislerot cards, or
(c) other...?

Looking forward to a new release to finally close this bug!




Information forwarded to debian-bugs-dist@lists.debian.org, Sander Marechal <s.marechal@jejik.com>:
Bug#660668; Package gnome-hearts. (Sun, 08 Jul 2012 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Sander Marechal <s.marechal@jejik.com>. (Sun, 08 Jul 2012 22:54:04 GMT) Full text and rfc822 format available.

Message #27 received at 660668@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 660668@bugs.debian.org, 660668-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: NMU upload to drop patch
Date: Sun, 8 Jul 2012 16:50:55 -0600
[Message part 1 (text/plain, inline)]
I'm dropping the only existing patch to revert to the upstream
behaviour for locating and using the cards configuration as the
gnome-games-common package was only for GNOME 2.x

NMUdiff attached, not using a delayed queue on this one as there's been
no maintainer activity in the bug log since April.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[660668.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Message sent on to Andrey Gusev <a.gusev1980@mail.ru>:
Bug#660668. (Sun, 08 Jul 2012 22:54:07 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 08 Jul 2012 23:21:11 GMT) Full text and rfc822 format available.

Notification sent to Andrey Gusev <a.gusev1980@mail.ru>:
Bug acknowledged by developer. (Sun, 08 Jul 2012 23:21:11 GMT) Full text and rfc822 format available.

Message #35 received at 660668-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 660668-close@bugs.debian.org
Subject: Bug#660668: fixed in gnome-hearts 0.3-2.1
Date: Sun, 08 Jul 2012 23:17:10 +0000
Source: gnome-hearts
Source-Version: 0.3-2.1

We believe that the bug you reported is fixed in the latest version of
gnome-hearts, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated gnome-hearts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jul 2012 16:42:25 -0600
Source: gnome-hearts
Binary: gnome-hearts
Architecture: source amd64
Version: 0.3-2.1
Distribution: unstable
Urgency: low
Maintainer: Sander Marechal <s.marechal@jejik.com>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 gnome-hearts - The classic hearts card game for the GNOME desktop
Closes: 660668
Changes: 
 gnome-hearts (0.3-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Drop gnome-cards patch to use upstream card
     configuration. (Closes: #660668)
Checksums-Sha1: 
 ce738ba43a0dc737f837fb586ce8306228c67c41 1464 gnome-hearts_0.3-2.1.dsc
 1b4f023930ce8a0bcbeeea518643dcf75d86341c 4023 gnome-hearts_0.3-2.1.diff.gz
 9dede97d98c94ee1cf880aca94a8931df7381f16 426958 gnome-hearts_0.3-2.1_amd64.deb
Checksums-Sha256: 
 1a1043e7dfe210f0e4f19034bc52f8766673613cf62848bbd27a6258d54b8c06 1464 gnome-hearts_0.3-2.1.dsc
 a6bbbaf89a3ecb27937af176b91d1e38399a00321b296592b3cf9d53e1b6f1e3 4023 gnome-hearts_0.3-2.1.diff.gz
 2941349a10a1f8d81471042894cfe7eb5e3aa4c5ad501410068118fce76e6794 426958 gnome-hearts_0.3-2.1_amd64.deb
Files: 
 57fb028dd6c4fae5c6962758c430d86f 1464 games optional gnome-hearts_0.3-2.1.dsc
 3bd8820f57f9918df5f60c61a74603bf 4023 games optional gnome-hearts_0.3-2.1.diff.gz
 715dcf3f8ffc259a9bc4e88e0aee8268 426958 games optional gnome-hearts_0.3-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/6ExkACgkQiAEJSii8s+Nl2ACeOAkexO7tjoOTjB3NuPWoXxKl
IeYAoIaATympy6KoPzO1tB4PaSrFze8Y
=K5ZR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:38:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:25:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.